Gtk_Packer(3)

NAME - Gtk_Packer
Gtk_Packer is easy-to-use container widget.

HEADER REQUIRED
#include <gtk--/packer.h&gt;>

BASE CLASSES
Gtk_Container(3)

PROPERTIES

children
    Type: GList*

spacing
    Type: guint

default_border_width
    Type: guint:16

default_pad_x
    Type: guint:16

default_pad_y
    Type: guint:16

default_i_pad_x
    Type: guint:16

default_i_pad_y
    Type: guint:16

     .IP

PUBLIC MEMBER INDEX
    Gtk_Packer();
    Gtk_Packer(GtkPacker *castitem);
    virtual  ~Gtk_Packer();
    void  add_impl(Gtk_Widget *child);
    void  add(Gtk_Widget &child, GtkSideType side, GtkAnchorType anchor = GTK_ANCHOR_CENTER, GtkPackerOptions options=(GtkPackerOptions)0, guint border_width=PACKER_DEFAULT, guint pad_x=PACKER_DEFAULT, guint pad_y=PACKER_DEFAULT, guint i_pad_x=PACKER_DEFAULT, guint i_pad_y=PACKER_DEFAULT);
      the default values of PACKER_DEFAULT will be transformed to real
    void  set_child_packing(Gtk_Widget &child, GtkSideType side = GTK_SIDE_TOP, GtkAnchorType anchor=GTK_ANCHOR_CENTER, GtkPackerOptions options=(GtkPackerOptions)0, guint border_width=PACKER_DEFAULT, guint pad_x=PACKER_DEFAULT, guint pad_y=PACKER_DEFAULT, guint i_pad_x=PACKER_DEFAULT, guint i_pad_y=PACKER_DEFAULT);
    void  add(const Gtk_ObjectHandle &child, GtkSideType side = GTK_SIDE_TOP, GtkAnchorType anchor=GTK_ANCHOR_CENTER, GtkPackerOptions options=(GtkPackerOptions)0, guint border_width=PACKER_DEFAULT, guint pad_x=PACKER_DEFAULT, guint pad_y=PACKER_DEFAULT, guint i_pad_x=PACKER_DEFAULT, guint i_pad_y=PACKER_DEFAULT);
    void  reorder_child(Gtk_Widget &w, gint position);
    void  set_spacing(guint spacing);
    void  set_default_border_width(guint border);
    void  set_default_pad(guint pad_x, guint pad_y);
    void  set_default_ipad(guint i_pad_x, guint i_pad_y);
    GtkPacker*  gtkobj();
    const GtkPacker*  gtkobj() const;
    static bool  isGtkPacker(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkPacker  BaseObjectType;
    typedef GtkPackerClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  packer_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS